## org.hibernate.id
Class SequenceIdentityGenerator.Delegate

    java.lang.Object
      org.hibernate.id.insert.AbstractReturningDelegate
          org.hibernate.id.SequenceIdentityGenerator.Delegate

All Implemented Interfaces:
  InsertGeneratedIdentifierDelegate

Enclosing class:
  SequenceIdentityGenerator

    public static class SequenceIdentityGenerator.Delegate

extends AbstractReturningDelegate

Constructor Summary
`SequenceIdentityGenerator.Delegate(PostInsertIdentityPersister persister, Dialect dialect, String sequenceName)`

Method Summary
`protected Serializable` `executeAndExtract(PreparedStatement insert)`
`protected PreparedStatement` `prepare(String insertSQL, SessionImplementor session)`
`IdentifierGeneratingInsert` `prepareIdentifierGeneratingInsert()` Build a `Insert` specific to the delegate's mode of handling generated key values.

Methods inherited from class org.hibernate.id.insert.AbstractReturningDelegate
`getPersister, performInsert, releaseStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceIdentityGenerator.Delegate

    public SequenceIdentityGenerator.Delegate(PostInsertIdentityPersister persister,
                                              Dialect dialect,
                                              String sequenceName)

Method Detail

### prepareIdentifierGeneratingInsert

    public IdentifierGeneratingInsert prepareIdentifierGeneratingInsert()

  Description copied from interface: `InsertGeneratedIdentifierDelegate`
  Build a `Insert` specific to the delegate's mode of handling generated key values.

  Returns:
    The insert object.

### prepare

    protected PreparedStatement prepare(String insertSQL,
                                        SessionImplementor session)
                                 throws SQLException

  Specified by:
    `prepare` in class `AbstractReturningDelegate`
  Throws:
    `SQLException`

### executeAndExtract

    protected Serializable executeAndExtract(PreparedStatement insert)
                                      throws SQLException

  Specified by:
    `executeAndExtract` in class `AbstractReturningDelegate`
  Throws:
    `SQLException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.